Skip to main content
POST
/
v1
/
deposits
/
{id}
/
charges
/
{chargeId}
/
dispute
Dispute a deposit charge
curl --request POST \
  --url https://api.yorlet.com/v1/deposits/{id}/charges/{chargeId}/dispute \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "comments": "<string>",
  "counter_amount": 1
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "deposit_charge",
  "accepted_at": 123,
  "amount": 123,
  "canceled_at": 123,
  "currency": "<string>",
  "customer_declaration": {
    "date": 123,
    "ip": "<string>"
  },
  "deposit": "<string>",
  "description": "<string>",
  "destination": "<string>",
  "dispute": {
    "comments": "<string>",
    "counter_amount": 1
  },
  "disputed_at": 123,
  "account": "<string>",
  "deleted": false,
  "accepted": false,
  "canceled": false,
  "disputed": false,
  "metadata": {},
  "original_amount": 0
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

chargeId
string
required

The chargeId identifier.

Body

application/json
comments
string
required

Comments explaining the reason for the dispute.

counter_amount
integer
required

The counter amount that the customer is willing to accept.

Required range: x >= 0

Response

200 - application/json

The updated deposit charge. Otherwise, this call throws an error.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
deposit_charge
accepted_at
number | null
required

The time at which the deposit charge was accepted.

amount
number
required

The amount of the deposit charge, in the smallest currency unit.

canceled_at
number | null
required

The time at which the deposit charge was canceled.

currency
string
required

The three-letter ISO currency code of the deposit charge.

customer_declaration
object
required

The customer declaration captured when accepting the deposit charge.

deposit
string | null
required

The ID of the deposit the charge is associated with.

description
string | null
required

An arbitrary description attached to the deposit charge.

destination
required

The owner the funds from the deposit charge will be allocated to.

dispute
object
required

Details of any dispute raised against the deposit charge.

disputed_at
number | null
required

The time at which the deposit charge was disputed.

status
enum<string> | null
required

The status of the deposit charge.

Available options:
pending,
accepted,
canceled,
disputed,
null
type
enum<string> | null
required

The type of the deposit charge.

Available options:
arrears,
charge,
dilapidation,
other,
null
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

accepted
boolean
default:false

Whether the deposit charge has been accepted by the customer.

canceled
boolean
default:false

Whether the deposit charge has been canceled.

disputed
boolean
default:false

Whether the deposit charge has been disputed by the customer.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

original_amount
number
default:0

The original amount of the deposit charge, in the smallest currency unit, before any adjustments.